<?php

namespace App\Http\Controllers\Api;


use App\Service\MeasureService;
use App\Service\SysMenuService;
use Illuminate\Http\Request;


class MeasureController extends BaseController
{





    public function add(Request $request)
    {


        $service = new MeasureService();
        $user = $request->get('auth');
        list($status,$data) = $service->add($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function edit(Request $request)
    {


        $service = new MeasureService();
        $user = $request->get('auth');
        list($status,$data) = $service->edit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function del(Request $request)
    {


        $service = new MeasureService();
        $user = $request->get('auth');
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function measureList(Request $request)
    {


        $service = new MeasureService();
        $user = $request->get('auth');
        list($status,$data) = $service->measureList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }




}
