<?php

namespace App\Http\Controllers\Api;


use App\Service\Order\OrderTagService;
use App\Service\Order\OrderTransportService;
use App\Service\OrderService;
use Illuminate\Http\Request;


class OrderTransportController extends BaseController
{





    public function transportDetail(Request $request)
    {


        $service = new OrderTransportService();
        $user = $request->get('auth');
        list($status,$data) = $service->transportDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }



    public function boxTransport(Request $request)
    {


        $service = new OrderTransportService();
        $user = $request->get('auth');
        list($status,$data) = $service->boxTransport($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }



    public function transportConfirm(Request $request)
    {


        $service = new OrderTransportService();
        $user = $request->get('auth');
        list($status,$data) = $service->transportConfirm($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }






}
