<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use PhpParser\Builder;

/**
 * 产品管理
 * Class Unit
 * @package App\Models
 */
class Procedure extends Model
{
    protected $table = "procedure"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';


    public function scopeWhereUnDel($query,$name='')
    {
        if(empty($name)) return $query->where('del_time', '=', 0);
        else return $query->where($name, '=', 0);
    }

}

